<template>
    <div class="s-wrap">
        <div ref="eBar" :style="{width: '300px', height: '300px'}"></div>
    </div>
</template>

<script>
/**
 * 柱状图
 */
export default {
    name: 'Bar',
    mounted(){
        this.drawBar();
    },
    methods:{
        drawBar(){
            let eBar=this.$echarts.init(this.$refs.eBar);
            eBar.setOption({
                title: { text: '在Vue中使用echarts' },
                tooltip: {},
                xAxis: {
                    data: ["衬衫","羊毛衫","雪纺衫","裤子","高跟鞋","袜子"]
                },
                yAxis: {},
                series: [{
                    name: '销量',
                    type: 'bar',
                    data: [5, 20, 36, 10, 10, 20]
                }]
            });
        }
    }
}
</script>
